Skip to main content
GET
/
api
/
v1
/
plans
/
{plan_id}
Get a Group Plan by ID
curl --request GET \
  --url https://fulfillment.noyo.com/api/v1/plans/{plan_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://fulfillment.noyo.com/api/v1/plans/{plan_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://fulfillment.noyo.com/api/v1/plans/{plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "plan": {
    "carrier_id": "d0003042-eaae-4491-b219-4825456a3d16",
    "cobra_rules": {
      "eligible": false
    },
    "code": "D1",
    "created": 1554175253,
    "effective_end_date": "9999-12-31",
    "effective_start_date": "2020-01-01",
    "eligible_member_types": [
      "employee"
    ],
    "group_enrollment_id": "31559b4b-e45a-4df8-84f6-2220d7ed0c3a",
    "id": "5ba915fc-afe8-4572-a60f-61ee5883e100",
    "line_of_coverage": "dental",
    "modified": 1554175253,
    "name": "Dental - Employee",
    "network": "Dental PPO Network",
    "plan_type": "ppo",
    "status": "active",
    "termination_policy": "end_of_month",
    "version": "1bf06a82-8d81-4849-91d3-47c60fdce605",
    "voluntary": false,
    "waiting_periods": [
      {
        "waiting_period_enrollment_type": "new_member",
        "waiting_period_rule": "hire_date"
      },
      {
        "waiting_period_amount": 0,
        "waiting_period_enrollment_type": "current_member",
        "waiting_period_rule": "after_waiting_period",
        "waiting_period_unit": "day"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

plan_id
string<uuid>
required

The unique identifier of the group plan you would like to view

Example:

"31559b4b-e45a-4df8-84f6-2220d7ed0c3a"

Query Parameters

effective_date
string

The relative date on which to view the state of the record

Response

200 - application/json

Successful Response - Returns matching Group Plan

plan
object
required
read-only

Group plan associated to a line of coverage